You are not logged in.

#1 2019-01-02 19:54:48

ab90
Member
Registered: 2017-09-06
Posts: 136

Install openRCT2 - gpg: no valid OpenPGP data found

Hey there,

i just followed this guide https://openrct2.org/quickstart/extract … iles/linux [linux-> manual extraction (as preference of gog and openrtc2) -> debian]:

-i downloaded my offline-rtc2/trippleThrillPack from gog.
-then i obtained innoextract
-extraction was successful

the next step wasnt. :

sudo add-apt-repository ppa:openrct2/master
 
 More info: https://launchpad.net/~openrct2/+archive/ubuntu/master
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keybox '/tmp/tmp_01zb4mf/pubring.gpg' created
gpg: /tmp/tmp_01zb4mf/trustdb.gpg: trustdb created
gpg: key F4241060A4EC1B27: public key "Launchpad PPA for OpenRCT2 Team" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg: no valid OpenPGP data found.

the game couldnt be installed after update.

Highly appreciate help

Last edited by ab90 (2019-01-03 19:56:29)


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#2 2019-01-02 21:17:55

Bearded_Blunder
Dodging A Bullet
From: Seat: seat0; vc7
Registered: 2015-09-29
Posts: 730

Re: Install openRCT2 - gpg: no valid OpenPGP data found

Reminder: adding ppa's or other sources is likely to break your system. But you can keep the pieces 
Advice For Users On Not Breaking Their Debian System

There's a really good post on here on how to install / convert stuff from ppas to proper debian packages and avoid breakage.. my search-fu isn't finding it right now.. but adding repos isn't the best way to install stuff.


Blessed is he who expecteth nothing, for he shall not be disappointed...
If there's an obscure or silly way to break it, but you don't know what.. Just ask me

Offline

#3 2019-01-02 21:27:14

DeepDayze
Member
From: In Linux Land
Registered: 2017-05-28
Posts: 756

Re: Install openRCT2 - gpg: no valid OpenPGP data found

Ubuntu based applications are not directly compatible with Debian so you will end up breaking your system or at least the package will NOT install.


Real Men Use Linux

Offline

#4 2019-01-02 21:31:14

twoion
ほやほや
Registered: 2015-08-10
Posts: 2,534

Re: Install openRCT2 - gpg: no valid OpenPGP data found

The problem at hand stems from gpg not finding what it expects. Run the command with        the --massive-debug option to print a useful trace of what exactly is failing as it is impossible to tell from just that single line. I expect that to be the import of the PPA key to the directy /etc/apt/trusted.gpg.d or similar.

Another reason could be that you have to remove bunsen-os-release as the python-apt library depends on OS-identifying information being a well-known base OS like Debian/Ubuntu so that could be a reason for the failure too.

Additionally, running apt-get update should pull the PPA sources, check first if that fails too.

As BB is correctly pointing out though, PPAs are an Ubuntu feature, however: It's  also correct that the OpenRTC docs say to enable the PPA on Debian (which could work!) so we can assume/hope that the OpenRTC folks did their homework and test their stuff. In principle there's no reason Launchpad shouldn't provide Debian packages. If their package is just a static binary or dump of binaries plus deps, there shouldn't be an issue (though I couldn't tell without looking at the details).


New Horizons

Offline

#5 2019-01-02 21:33:33

Bearded_Blunder
Dodging A Bullet
From: Seat: seat0; vc7
Registered: 2015-09-29
Posts: 730

Re: Install openRCT2 - gpg: no valid OpenPGP data found

Found it: Have a good look at the first post in this thread

If that looks too hard and you really want to use Ubuntu software, then maybe the answer is an Ubuntu install, or an Ubuntu based distribution.

I don't want to sound in the least unhelpful or unfriendly  but you did start on here by asking how to sort something with many sources & multiple debian releases in your sources.list  which was why you were having issues to begin with, I see elsewhere you say you reinstalled.. OK that's good, but adding those sources all back to get stuff installed will just break your install again.

Last edited by Bearded_Blunder (2019-01-02 21:41:48)


Blessed is he who expecteth nothing, for he shall not be disappointed...
If there's an obscure or silly way to break it, but you don't know what.. Just ask me

Offline

#6 2019-01-03 14:41:18

DeepDayze
Member
From: In Linux Land
Registered: 2017-05-28
Posts: 756

Re: Install openRCT2 - gpg: no valid OpenPGP data found

Another good example are the packages from Oracle for Virtualbox. They have one package that's written for Ubuntu Bionic/Debian 10 (Buster) and tested it and it installs and runs on my Helium setup. I would think that the package was built to be as compatible with both Buster and Ubuntu Bionic as possible without breakage. So yes better to grab the package directly rather than trying to add a Ubuntu PPA to your Helium system as otherwise you may run into possibly incompatible libs and such attempting to install on an upgrade.

In truth not all PPA packages are compatible with Debian, so be very careful with such packages from PPA's and know what you are doing.

Last edited by DeepDayze (2019-01-03 14:42:04)


Real Men Use Linux

Offline

#7 2019-01-03 14:44:14

DeepDayze
Member
From: In Linux Land
Registered: 2017-05-28
Posts: 756

Re: Install openRCT2 - gpg: no valid OpenPGP data found

Bearded_Blunder wrote:

Found it: Have a good look at the first post in this thread

If that looks too hard and you really want to use Ubuntu software, then maybe the answer is an Ubuntu install, or an Ubuntu based distribution.

I don't want to sound in the least unhelpful or unfriendly  but you did start on here by asking how to sort something with many sources & multiple debian releases in your sources.list  which was why you were having issues to begin with, I see elsewhere you say you reinstalled.. OK that's good, but adding those sources all back to get stuff installed will just break your install again.

Linux Mint comes to mind as a solid Ubuntu based distro that you can install alongside BL in a spare partition if you want to play with Ubuntu based software.


Real Men Use Linux

Offline

#8 2019-01-03 15:44:52

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

DeepDayze wrote:

Ubuntu based applications are not directly compatible with Debian so you will end up breaking your system or at least the package will NOT install.

OpenRTC2, as mentioned in installation guide, doesnt specify it as Ubuntu.
It says "Debian, Ubuntu, Mint...."


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#9 2019-01-03 15:45:47

DeepDayze
Member
From: In Linux Land
Registered: 2017-05-28
Posts: 756

Re: Install openRCT2 - gpg: no valid OpenPGP data found

ab90 wrote:
DeepDayze wrote:

Ubuntu based applications are not directly compatible with Debian so you will end up breaking your system or at least the package will NOT install.

OpenRTC2, as mentioned in installation guide, doesnt specify it as Ubuntu.
It says "Debian, Ubuntu, Mint...."

OK but not a good idea to add PPA's like that.


Real Men Use Linux

Offline

#10 2019-01-03 15:48:42

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

.

Last edited by ab90 (2019-01-03 15:55:50)


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#11 2019-01-03 15:53:14

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

Bearded_Blunder wrote:

Reminder: adding ppa's or other sources is likely to break your system. But you can keep the pieces 
Advice For Users On Not Breaking Their Debian System

I kept a textfile in which i copied yesterdays adding-openrtc2 repositories orgy....

i actually added it thrice. thus i am having 3 keys or smth like that?! (somewhere else i read, its better to remove the ppa and as well remove the gpg key or smth like that)

so first i would like to remove those six things again ..?!


DeepDayze wrote:

OK but not a good idea to add PPA's like that.

Whats is the nature of this "debian-based but not really generall debian since somehow you would refer to it as ubuntu-only"-thing that classifies it as one-of-those= ("like that")things that are to be avoided?

Many thanks! ..just beeing curious

Last edited by ab90 (2019-01-03 15:56:45)


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#12 2019-01-03 16:40:24

Bearded_Blunder
Dodging A Bullet
From: Seat: seat0; vc7
Registered: 2015-09-29
Posts: 730

Re: Install openRCT2 - gpg: no valid OpenPGP data found

The issue is what libraries and what versions of them things are built against, Ubuntu software is quite likely to pull in versions that won't work for the rest of the system... You're probably too young to remember "dll hell" with windows 95/8, but it's a similar issue.  A fast route to weird software breakages, crashes, etc. etc.

The guide I linked to explains how to rebuild so it's positively OK in debian (at least for anything that does compile).


Blessed is he who expecteth nothing, for he shall not be disappointed...
If there's an obscure or silly way to break it, but you don't know what.. Just ask me

Offline

#13 2019-01-03 16:55:57

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

So the problem is, the package is labeled as "debian" but is more polarized towards ubuntu/mint, means it later could mutate sort of to a more ubuntu than debian thing.
hope i got it right, thanks for answering my question!

Thank you for posting a link that explains how i should rebuild my openrtc2, which i couldnt download... guess i should check that out. it must be seeing a package which i couldnt download then, isnt it?


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#14 2019-01-03 17:34:25

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

Do I have to remove the ppas i added each on its own?

I still would like to see rct2 played on my bunsenlabs laptop without using wine. Rct2 is a very minimalistic game that theoreticaly should run smooth with respect to hardware.

I found this page by searching the ppa named openrct2/master in google:

https://openrct2.org/downloads/master/latest
its showing this package:

    OpenRCT2-0.2.1-linux-x86_64.tar.gz

...as i couldnt get any package to work on before, can i use this pakage for my debian package transformation project?

[asking the admin: is it possible to correct the spelling mistake in the title from RTC2 to RCT2?]

Last edited by ab90 (2019-01-03 17:44:45)


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#15 2019-01-03 19:39:51

damo
....moderator....
Registered: 2015-08-20
Posts: 5,178

Re: Install openRCT2 - gpg: no valid OpenPGP data found

ab90 wrote:

...
[asking the admin: is it possible to correct the spelling mistake in the title from RTC2 to RCT2?]

Edit your first post, and change the title


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Online

#16 2019-01-03 19:57:27

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

damo wrote:
ab90 wrote:

...
[asking the admin: is it possible to correct the spelling mistake in the title from RTC2 to RCT2?]

Edit your first post, and change the title

Thank you for beeing excellent to me.

Hope, my actuall questions dont get lost now tongue


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#17 2019-01-04 12:06:30

Bearded_Blunder
Dodging A Bullet
From: Seat: seat0; vc7
Registered: 2015-09-29
Posts: 730

Re: Install openRCT2 - gpg: no valid OpenPGP data found

ab90 wrote:

Do I have to remove the ppas i added each on its own?

If you add any extra repos, with limited exeptions, it's generally a good idea to either remove them as soon as you got what you needed, or at least put a # at the start of the entry to disable it & then sudo apt update


Blessed is he who expecteth nothing, for he shall not be disappointed...
If there's an obscure or silly way to break it, but you don't know what.. Just ask me

Offline

#18 2019-01-04 19:27:19

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

 sudo apt-get install software-properties-common
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  gir1.2-packagekitglib-1.0 libglib2.0-bin libglib2.0-data libpackagekit-glib2-18
  packagekit packagekit-tools python3-dbus python3-pycurl
  python3-software-properties unattended-upgrades
Suggested packages:
  appstream python-dbus-doc python3-dbus-dbg libcurl4-gnutls-dev python-pycurl-doc
  python3-pycurl-dbg bsd-mailx mail-transport-agent needrestart
The following NEW packages will be installed:
  gir1.2-packagekitglib-1.0 libglib2.0-bin libglib2.0-data libpackagekit-glib2-18
  packagekit packagekit-tools python3-dbus python3-pycurl
  python3-software-properties software-properties-common unattended-upgrades
0 upgraded, 11 newly installed, 0 to remove and 25 not upgraded.
Need to get 5,339 kB of archives.
After this operation, 16.4 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 https://cdn-aws.deb.debian.org/debian stretch/main i386 libpackagekit-glib2-18 i386 1.1.5-2+deb9u1 [115 kB]
Get:2 https://cdn-aws.deb.debian.org/debian stretch/main i386 gir1.2-packagekitglib-1.0 i386 1.1.5-2+deb9u1 [34.7 kB]
Get:3 https://cdn-aws.deb.debian.org/debian stretch/main i386 libglib2.0-data all 2.50.3-2 [2,517 kB]
Get:4 https://cdn-aws.deb.debian.org/debian stretch/main i386 libglib2.0-bin i386 2.50.3-2 [1,619 kB]
Get:5 https://cdn-aws.deb.debian.org/debian stretch/main i386 packagekit i386 1.1.5-2+deb9u1 [563 kB]
Get:6 https://cdn-aws.deb.debian.org/debian stretch/main i386 packagekit-tools i386 1.1.5-2+deb9u1 [47.0 kB]
Get:7 https://cdn-aws.deb.debian.org/debian stretch/main i386 python3-dbus i386 1.2.4-1+b1 [186 kB]
Get:8 https://cdn-aws.deb.debian.org/debian stretch/main i386 python3-pycurl i386 7.43.0-2 [63.2 kB]
Get:9 https://cdn-aws.deb.debian.org/debian stretch/main i386 python3-software-properties all 0.96.20.2-1 [49.5 kB]
Get:10 https://cdn-aws.deb.debian.org/debian stretch/main i386 software-properties-common all 0.96.20.2-1 [83.6 kB]
Get:11 https://cdn-aws.deb.debian.org/debian stretch/main i386 unattended-upgrades all 0.93.1+nmu1 [61.7 kB]
Fetched 5,339 kB in 12s (442 kB/s)                                                 
Preconfiguring packages ...
Selecting previously unselected package libpackagekit-glib2-18:i386.
(Reading database ... 103355 files and directories currently installed.)
Preparing to unpack .../00-libpackagekit-glib2-18_1.1.5-2+deb9u1_i386.deb ...
Unpacking libpackagekit-glib2-18:i386 (1.1.5-2+deb9u1) ...
Selecting previously unselected package gir1.2-packagekitglib-1.0.
Preparing to unpack .../01-gir1.2-packagekitglib-1.0_1.1.5-2+deb9u1_i386.deb ...
Unpacking gir1.2-packagekitglib-1.0 (1.1.5-2+deb9u1) ...
Selecting previously unselected package libglib2.0-data.
Preparing to unpack .../02-libglib2.0-data_2.50.3-2_all.deb ...
Unpacking libglib2.0-data (2.50.3-2) ...
^[[5~^[[5~Selecting previously unselected package libglib2.0-bin.
Preparing to unpack .../03-libglib2.0-bin_2.50.3-2_i386.deb ...
Unpacking libglib2.0-bin (2.50.3-2) ...
^[[5~Selecting previously unselected package packagekit.
Preparing to unpack .../04-packagekit_1.1.5-2+deb9u1_i386.deb ...
^[[5~Unpacking packagekit (1.1.5-2+deb9u1) ...
Selecting previously unselected package packagekit-tools.
Preparing to unpack .../05-packagekit-tools_1.1.5-2+deb9u1_i386.deb ...
Unpacking packagekit-tools (1.1.5-2+deb9u1) ...
Selecting previously unselected package python3-dbus.
Preparing to unpack .../06-python3-dbus_1.2.4-1+b1_i386.deb ...
Unpacking python3-dbus (1.2.4-1+b1) ...
Selecting previously unselected package python3-pycurl.
Preparing to unpack .../07-python3-pycurl_7.43.0-2_i386.deb ...
Unpacking python3-pycurl (7.43.0-2) ...
Selecting previously unselected package python3-software-properties.
Preparing to unpack .../08-python3-software-properties_0.96.20.2-1_all.deb ...
Unpacking python3-software-properties (0.96.20.2-1) ...
Selecting previously unselected package software-properties-common.
Preparing to unpack .../09-software-properties-common_0.96.20.2-1_all.deb ...
Unpacking software-properties-common (0.96.20.2-1) ...
Selecting previously unselected package unattended-upgrades.
Preparing to unpack .../10-unattended-upgrades_0.93.1+nmu1_all.deb ...
Unpacking unattended-upgrades (0.93.1+nmu1) ...
Setting up python3-pycurl (7.43.0-2) ...
Setting up python3-dbus (1.2.4-1+b1) ...
Setting up libpackagekit-glib2-18:i386 (1.1.5-2+deb9u1) ...
Setting up libglib2.0-data (2.50.3-2) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Processing triggers for systemd (232-25+deb9u6) ...
Setting up unattended-upgrades (0.93.1+nmu1) ...

Creating config file /etc/apt/apt.conf.d/20auto-upgrades with new version

Creating config file /etc/apt/apt.conf.d/50unattended-upgrades with new version
Created symlink /etc/systemd/system/multi-user.target.wants/unattended-upgrades.service → /lib/systemd/system/unattended-upgrades.service.
Synchronizing state of unattended-upgrades.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable unattended-upgrades
Processing triggers for man-db (2.7.6.1-2) ...
Setting up gir1.2-packagekitglib-1.0 (1.1.5-2+deb9u1) ...
Setting up python3-software-properties (0.96.20.2-1) ...
Processing triggers for dbus (1.10.26-0+deb9u1) ...
Setting up libglib2.0-bin (2.50.3-2) ...
Setting up packagekit (1.1.5-2+deb9u1) ...
Setting up software-properties-common (0.96.20.2-1) ...
Setting up packagekit-tools (1.1.5-2+deb9u1) ...
Processing triggers for systemd (232-25+deb9u6) ...
Processing triggers for dbus (1.10.26-0+deb9u1) ...
ab90@ab90:~$ sudo add-apt-repository ppa:openrct2/master
 
 More info: https://launchpad.net/~openrct2/+archive/ubuntu/master
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keybox '/tmp/tmpxhinkp5v/pubring.gpg' created
gpg: /tmp/tmpxhinkp5v/trustdb.gpg: trustdb created
gpg: key F4241060A4EC1B27: public key "Launchpad PPA for OpenRCT2 Team" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg: no valid OpenPGP data found.
ab90@ab90:~$ sudo apt-get update
Ign:1 http://ppa.launchpad.net/openrct2/master/ubuntu disco InRelease
Ign:2 http://ppa.launchpad.net/openrct2/master/ubuntu disco Release
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Ign:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Ign:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Ign:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Ign:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Ign:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Err:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
  404  Not Found
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Hit:7 https://eu.pkg.bunsenlabs.org/debian helium InRelease
Ign:8 https://cdn-aws.deb.debian.org/debian stretch InRelease
Get:9 https://cdn-aws.deb.debian.org/debian-security stretch/updates InRelease [94.3 kB]
Get:10 https://cdn-aws.deb.debian.org/debian stretch-updates InRelease [91.0 kB]
Hit:11 https://cdn-aws.deb.debian.org/debian stretch Release
Get:12 https://cdn-aws.deb.debian.org/debian-security stretch/updates/main i386 Packages [465 kB]
Fetched 651 kB in 5s (127 kB/s)                           
Reading package lists... Done
W: The repository 'http://ppa.launchpad.net/openrct2/master/ubuntu disco Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch http://ppa.launchpad.net/openrct2/master/ubuntu/dists/disco/main/binary-i386/Packages  404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.
ab90@ab90:~$ sudo apt-get install openrct2
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package openrct2
ab90@ab90:~$ sudo apt-get update
Ign:1 http://ppa.launchpad.net/openrct2/master/ubuntu disco InRelease
Ign:2 http://ppa.launchpad.net/openrct2/master/ubuntu disco Release
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Ign:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Ign:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Ign:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Ign:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Ign:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:3 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main all Packages
Err:4 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main i386 Packages
  404  Not Found
Ign:5 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en_GB
Hit:7 https://eu.pkg.bunsenlabs.org/debian helium InRelease
Ign:6 http://ppa.launchpad.net/openrct2/master/ubuntu disco/main Translation-en
Ign:8 https://cdn-aws.deb.debian.org/debian stretch InRelease
Hit:9 https://cdn-aws.deb.debian.org/debian-security stretch/updates InRelease
Hit:10 https://cdn-aws.deb.debian.org/debian stretch-updates InRelease
Hit:11 https://cdn-aws.deb.debian.org/debian stretch Release
Reading package lists... Done 
W: The repository 'http://ppa.launchpad.net/openrct2/master/ubuntu disco Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch http://ppa.launchpad.net/openrct2/master/ubuntu/dists/disco/main/binary-i386/Packages  404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.
ab90@ab90:~$ sudo apt-get install openrct2
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package openrct2
ab90@ab90:~$ sudo add-apt-repository ppa:openrct2/master
 
 More info: https://launchpad.net/~openrct2/+archive/ubuntu/master
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keybox '/tmp/tmp_01zb4mf/pubring.gpg' created
gpg: /tmp/tmp_01zb4mf/trustdb.gpg: trustdb created
gpg: key F4241060A4EC1B27: public key "Launchpad PPA for OpenRCT2 Team" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg: no valid OpenPGP data found.
ab90@ab90:~$ sudo add-apt-repository ppa:openrct2/master
 
 More info: https://launchpad.net/~openrct2/+archive/ubuntu/master
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keybox '/tmp/tmppjxn3gl0/pubring.gpg' created
gpg: /tmp/tmppjxn3gl0/trustdb.gpg: trustdb created
gpg: key F4241060A4EC1B27: public key "Launchpad PPA for OpenRCT2 Team" imported
gpg: Total number processed: 1
gpg:               imported: 1
gpg: no valid OpenPGP data found.

...this is what i did that time.

-it has the install 'software-properties-common' otherwise i couldnt have added repositories, i think i now understand why ;-/
-then one time add repository
-install, that didnt find
-and two times add repository

i guess that should be reversible, isnt it?

Greetings

Last edited by ab90 (2019-01-04 19:28:23)


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#19 2019-01-04 23:01:09

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

Can someone please help me to install the openRTC2? roll


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#20 2019-01-04 23:19:47

damo
....moderator....
Registered: 2015-08-20
Posts: 5,178

Re: Install openRCT2 - gpg: no valid OpenPGP data found

I thought you were being helped hmm

You probably have to build it from the github source code. You will need some development packages to do that - cmake, build-essential etc. The advantage of this is that you only use packages  from stable sources, and the build will fail if they aren't available. (This assumes you haven't borked your system again!).

https://github.com/OpenRCT2/OpenRCT2/wi … 2-on-Linux

That link has specific instructions about what to install, and how to build and run your lovely game.


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Online

#21 2019-01-05 18:53:48

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

Thank you a lot for this answer. I would like to clean up that (little) mess that i made. Opening /etc/apt/sources.list doesnt show any addition of this openrct2 PPA.
(/etc/apt/sources.list.d neither tongue )

So i am not sure how i can track the change i made to my repositories archive, as well as the GPG Keys (that are supposed to be removed as well, i guess)

____________________________________
The Manual you sent says, We EXPECT you to use a Package Manager ..so i am opening synaptic package manager for the first time
and type the first object 'sdl2' mentioned in the manual into that SEARCH option to the top right of my synapticP.M. window and 32 Packages get listed as a result...(m clueless since none of them has the initial name i searched)
Is it okay to use a terminal instead and apt-get install those packages mentioned?

Last edited by ab90 (2019-01-05 19:01:45)


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#22 2019-01-05 21:14:16

DeepDayze
Member
From: In Linux Land
Registered: 2017-05-28
Posts: 756

Re: Install openRCT2 - gpg: no valid OpenPGP data found

ab90 wrote:

Thank you a lot for this answer. I would like to clean up that (little) mess that i made. Opening /etc/apt/sources.list doesnt show any addition of this openrct2 PPA.
(/etc/apt/sources.list.d neither tongue )

So i am not sure how i can track the change i made to my repositories archive, as well as the GPG Keys (that are supposed to be removed as well, i guess)

____________________________________
The Manual you sent says, We EXPECT you to use a Package Manager ..so i am opening synaptic package manager for the first time
and type the first object 'sdl2' mentioned in the manual into that SEARCH option to the top right of my synapticP.M. window and 32 Packages get listed as a result...(m clueless since none of them has the initial name i searched)
Is it okay to use a terminal instead and apt-get install those packages mentioned?

You can remove the PPA like this:

sudo add-apt-repository --remove ppa:openrct2/master

Take a look at the /etc/apt/sources.list.d directory and there may be a .list file there with the PPA name. Delete that list file.

That should clean up the mess. Do an apt-get update afterward to be sure.

Last edited by DeepDayze (2019-01-05 21:17:05)


Real Men Use Linux

Offline

#23 2019-03-08 19:53:06

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

DeepDayze wrote:

Take a look at the /etc/apt/sources.list.d directory and there may be a .list file there with the PPA name. Delete that list file.

Thanks! Did that clean up....
Concerning those instructions

damo wrote:

https://github.com/OpenRCT2/OpenRCT2/wi … 2-on-Linux

That link has specific instructions about what to install, and how to build and run your lovely game.

, The Manual you sent says, We EXPECT you to use a Package Manager ..so i am opening synaptic package manager for the first time
and type the first object 'sdl2' mentioned in the manual into that SEARCH option to the top right of my synapticP.M. window and 32 Packages get listed as a result...(m clueless since none of them has the initial name i searched)
Is it okay to use a terminal instead and apt-get install those packages mentioned?

Many greetings

Last edited by ab90 (2019-03-08 19:53:29)


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

#24 2019-03-08 20:10:19

damo
....moderator....
Registered: 2015-08-20
Posts: 5,178

Re: Install openRCT2 - gpg: no valid OpenPGP data found

ab90 wrote:

...
Is it okay to use a terminal instead and apt-get install those packages mentioned?

Many greetings

As long as your sources are clean, and you aren't mixing say stable and testing, and don't have non-Debian sources. Apt should ensure installed packages are compatible.


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Online

#25 2019-03-09 11:35:56

ab90
Member
Registered: 2017-09-06
Posts: 136

Re: Install openRCT2 - gpg: no valid OpenPGP data found

... but now this keeps happening:

sudo apt-get install libzip
[sudo] password for ab90: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package libzip

EDIT: Hey SORRY, changed to section 'APT' and saw the libraries mentioned in terminal manner..

Last edited by ab90 (2019-03-09 12:12:56)


"Be humble, be cool, dance techno-style to heavy metal music."

Offline

Board footer

Powered by FluxBB